<?php
require '../database/database_connection.php';

try {
    // Query to count total SMS entries
    $totalSmsQuery = $conn->prepare("SELECT COUNT(*) AS total_sms FROM sms");
    $totalSmsQuery->execute();
    $totalSmsResult = $totalSmsQuery->get_result();
    $totalSms = $totalSmsResult->fetch_assoc()['total_sms'];

    // Query to count unique sender IDs
    $uniqueSenderQuery = $conn->prepare("SELECT COUNT(DISTINCT sender_id) AS unique_senders FROM sms");
    $uniqueSenderQuery->execute();
    $uniqueSenderResult = $uniqueSenderQuery->get_result();
    $uniqueSenders = $uniqueSenderResult->fetch_assoc()['unique_senders'];

    // Maintain the same structure for result
    echo json_encode(array(
        'online' => $totalSms, // Total SMS count
        'offline' => $uniqueSenders // Unique sender IDs
    ));

    // Close statements
    $totalSmsQuery->close();
    $uniqueSenderQuery->close();
} catch (mysqli_sql_exception $e) {
    echo json_encode(array(
        'error' => $e->getMessage()
    ));
}

// Close the connection
$conn->close();
?>
