<?php
session_start(); // Start the session

require '../database/database_connection.php';

// Check if the user is logged in
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] === true) {
    $conn = new mysqli($servername, $username, $password, $database);

    // Check the connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Delete all data in the sms table
    $stmt = $conn->prepare("DELETE FROM sms");

    if ($stmt->execute()) {
        // If successful, redirect to the admin page
        $_SESSION['message'] = "All SMS messages have been cleared."; // Optional: Set a session message for the admin page
        header("Location: ../admin/");
        exit(); // Make sure to exit after the redirect to prevent further code execution
    } else {
        // If there's an error, send an error message to the admin page
        $_SESSION['error'] = "Error deleting SMS messages: " . $stmt->error;
        header("Location: ../admin/");
        exit();
    }

    // Close the statement
    $stmt->close();
    
    // Close the database connection
    $conn->close();

} else {
    // If the user is not logged in, redirect to login page
    $_SESSION['error'] = "User not logged in.";
    header("Location: ../admin/");
    exit();
}
?>
