<?php
require '../database/database_connection.php';

if (isset($_POST['id']) && !empty($_POST['id'])) {
    $id = $_POST['id'];  // Get the ID of the SMS record to be deleted
    $conn = new mysqli($servername, $username, $password, $database);

    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);  // Handle connection error
    }

    // Prepare SQL statement to delete the SMS record by ID
    $stmt = $conn->prepare("DELETE FROM sms WHERE id = ?");
    $stmt->bind_param("i", $id);  // Use "i" for integer (assuming id is an integer)

    // Execute the delete query
    if ($stmt->execute()) {
        $response = array("success" => true);  // Return success response
        echo json_encode($response);
    } else {
        $response = array("success" => false, "error" => $stmt->error);  // Return error if the query fails
        echo json_encode($response);
    }

    $stmt->close();  // Close the prepared statement
    $conn->close();  // Close the database connection
} else {
    $response = array("success" => false, "error" => "ID not provided");  // Handle case where ID is not provided
    echo json_encode($response);
}
?>
