<?php
// Define the path to the JSON file
$json_file = '../json/data.json';

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the raw POST data
    $data = json_decode(file_get_contents('php://input'), true);
    
    // Check if the required data is set
    if (isset($data['tg'], $data['bot_token'], $data['user_id'])) {
        // Prepare the data to save
        $settings = [
            'tg' => $data['tg'],  // Directly save tg as a boolean
            'bot_token' => $data['bot_token'],
            'user_id' => $data['user_id']
        ];

        // Save the data to the JSON file
        if (file_put_contents($json_file, json_encode($settings, JSON_PRETTY_PRINT))) {
            // Return success response
            echo json_encode(['message' => 'Settings saved successfully!']);
        } else {
            // Return error response
            echo json_encode(['error' => 'Failed to save settings.']);
        }
    } else {
        // Return error response if data is missing
        echo json_encode(['error' => 'Invalid data received.']);
    }
} else {
    // Return error response if the request method is not POST
    echo json_encode(['error' => 'Invalid request method.']);
}
?>
