<?php
// Define the path to the JSON file
$json_file = '../json/number.json';

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the raw POST data
    $data = json_decode(file_get_contents('php://input'), true);
    
    // Check if the required data is set
    if (isset($data['number'], $data['enabled'])) {
        // Prepare the data to save
        $settings = [
            'number' => $data['number'],
            'made_by' => '@developer_iop',  // Keep the developer tag constant
            'enabled' => $data['enabled']   // Directly save enabled as a boolean
        ];
        
        // Save the data to the JSON file
        if (file_put_contents($json_file, json_encode($settings, JSON_PRETTY_PRINT))) {
            // Return success response
            echo json_encode(['message' => 'Settings saved successfully!']);
        } else {
            // Return error response
            echo json_encode(['error' => 'Failed to save settings.']);
        }
    } else {
        // Return error response if data is missing
        echo json_encode(['error' => 'Invalid data received.']);
    }
} else {
    // Return error response if the request method is not POST
    echo json_encode(['error' => 'Invalid request method.']);
}
?>