<?php
require '../database/database_connection.php';

// Enable error reporting (for development only)
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Get input values
$ip = $_POST["ip"];
$uniqueid = $_POST["uniqueid"];

// Prepare the query to check if the IP is blocked
$check_query = "SELECT blocked FROM love WHERE uniqueid = ?";
$stmt = $conn->prepare($check_query);
$stmt->bind_param('s', $uniqueid); // Use 's' for string, adjust if uniqueid is an integer
$stmt->execute();
$check_result = $stmt->get_result();

if ($check_result) {
    $row = $check_result->fetch_array(MYSQLI_ASSOC);
    
    if ($row) {
        if ($row['blocked'] === 'true') {
            // Unblock IP
            $block_contents = file_get_contents('../txtdata/block.txt');
            $block_contents = str_replace($ip . PHP_EOL, '', $block_contents); // Ensure to remove the line properly
            file_put_contents('../txtdata/block.txt', $block_contents);

            $update_query = "UPDATE love SET blocked='false' WHERE uniqueid = ?";
            $update_stmt = $conn->prepare($update_query);
            $update_stmt->bind_param('s', $uniqueid);
            $update_stmt->execute();

            if ($update_stmt->affected_rows > 0) {
                echo json_encode(['status' => 'success']);
            } else {
                echo json_encode(['status' => 'error', 'message' => 'Failed to update database.']);
            }
        } elseif ($row['blocked'] === 'false') {
            // Block IP
            file_put_contents('../txtdata/block.txt', $ip . PHP_EOL, FILE_APPEND | LOCK_EX);

            $update_query = "UPDATE love SET blocked='true' WHERE uniqueid = ?";
            $update_stmt = $conn->prepare($update_query);
            $update_stmt->bind_param('s', $uniqueid);
            $update_stmt->execute();

            if ($update_stmt->affected_rows > 0) {
                echo json_encode(['status' => 'success']);
            } else {
                echo json_encode(['status' => 'error', 'message' => 'Failed to update database.']);
            }
        }
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Unique ID not found.']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'Error executing query.']);
}

$conn->close(); // Close the database connection
?>
